Yandex Cloud
Documentation
PresentationContact UsTry it for free
© 2026 Direct Cursus Technology L.L.C.
Yandex Managed Service for ClickHouse®
  • Getting started
  • Access management
  • Inspections and recommendations
  • Pricing policy
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
  • Yandex Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Response
  1. API reference
  2. REST
  3. FormatSchema
  4. Get

Managed Service for ClickHouse API, REST: FormatSchema.Get

Written by
Yandex Cloud
Updated at June 15, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response

Returns detailed information about a given format schema.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-clickhouse/v1/clusters/{clusterId}/formatSchemas/{formatSchemaName}

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ClickHouse cluster ID.
To get a ClickHouse cluster ID, use the ClusterService.List method.

The maximum string length in characters is 50.

formatSchemaName

string

Required field. Format schema name.
To get a format schema name, use the FormatSchemaService.List method.

The maximum string length in characters is 63.

ResponseResponse

HTTP Code: 200 - OK

{
  "name": "string",
  "clusterId": "string",
  "type": "string",
  "uri": "string"
}

Field

Description

name

string

Format schema name.

clusterId

string

ClickHouse cluster ID.

type

enum (FormatSchemaType)

Schema type. Possible values are the following:

  • FORMAT_SCHEMA_TYPE_PROTOBUF - Protobuf data format (including ProtobufSingle).
  • FORMAT_SCHEMA_TYPE_CAPNPROTO - Cap'n Proto data format.
  • FORMAT_SCHEMA_TYPE_PROTOBUF: Protobuf data format (including ProtobufSingle).
  • FORMAT_SCHEMA_TYPE_CAPNPROTO: Cap'n Proto data format.

uri

string

Link to the file of a format schema in Yandex Object Storage. Managed Service for ClickHouse works only with format schemas imported to Object Storage.

Was the article helpful?

Previous
Overview
Next
List
© 2026 Direct Cursus Technology L.L.C.